Skip to main content
`Ctrl`+`K`

# DMSetNaturalSF

Set the PetscSF encoding the map back to the original mesh ordering

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetNaturalSF(DM dm, PetscSF sf)

## Input Parameters

- dm - The DM

- sf - The PetscSF

## See Also

DM Basics, `DM`, `DMGetNaturalSF()`, `DMSetUseNatural()`, `DMGetUseNatural()`, `DMPlexCreateGlobalToNaturalSF()`, `DMPlexDistribute()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages